<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
		PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.process.mapper.TDelayNodeConfigMapper">
    <resultMap id="tDelayNodeConfigMap" type="com.yifu.cloud.plus.v1.yifu.process.entity.TDelayNodeConfig">
        <id property="id" column="ID"/>
        <result property="delayType" column="DELAY_TYPE"/>
        <result property="minutes" column="MINUTES"/>
        <result property="time" column="TIME"/>
        <result property="nodeId" column="NODE_ID"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.ID,
                  a.DELAY_TYPE,
                  a.MINUTES,
                  a.TIME,
                  a.NODE_ID
         </sql>
    <sql id="tDelayNodeConfig_where">
        <if test="tDelayNodeConfig != null">
            <if test="tDelayNodeConfig.id != null and tDelayNodeConfig.id.trim() != ''">
                AND a.ID = #{tDelayNodeConfig.id}
            </if>
            <if test="tDelayNodeConfig.delayType != null and tDelayNodeConfig.delayType.trim() != ''">
                AND a.DELAY_TYPE = #{tDelayNodeConfig.delayType}
            </if>
            <if test="tDelayNodeConfig.minutes != null">
                AND a.MINUTES = #{tDelayNodeConfig.minutes}
            </if>
            <if test="tDelayNodeConfig.time != null">
                AND a.TIME = #{tDelayNodeConfig.time}
            </if>
            <if test="tDelayNodeConfig.nodeId != null and tDelayNodeConfig.nodeId.trim() != ''">
                AND a.NODE_ID = #{tDelayNodeConfig.nodeId}
            </if>
        </if>
    </sql>
    <!--tDelayNodeConfig简单分页查询-->
    <select id="getTDelayNodeConfigPage" resultMap="tDelayNodeConfigMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_delay_node_config a
        <where>
            1=1
            <include refid="tDelayNodeConfig_where"/>
        </where>
    </select>
</mapper>
